### Function

# Gimp file_create_thumbnail

#### Declaration [src]

    gboolean
    gimp_file_create_thumbnail (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Creates a thumbnail of `image` for the given `file`

This procedure creates a thumbnail for the given `file` and stores it according to relevant standards. In particular, it will follow the Free Desktop Thumbnail Managing Standard when relevant.

The thumbnail is stored so that it belongs to the given `file`. This means you have to save `image` under this name first. As a fallback, the call will work if `image` was exported or imported as `file`. In any other case, this procedure will fail.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The file the thumbnail belongs to.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.